com.digi.xbee.api

## Class RemoteXBeeDevice

- java.lang.Object
- - com.digi.xbee.api.AbstractXBeeDevice
  - - com.digi.xbee.api.RemoteXBeeDevice

- Direct Known Subclasses:
    RemoteDigiMeshDevice, RemoteDigiPointDevice, RemoteRaw802Device, RemoteZigBeeDevice

      public class RemoteXBeeDevice
      extends AbstractXBeeDevice

  This class represents a remote XBee device.
  See Also:
    `RemoteDigiMeshDevice`, `RemoteDigiPointDevice`, `RemoteRaw802Device`, `RemoteZigBeeDevice`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteXBeeDevice(XBeeDevice localXBeeDevice, XBee64BitAddress addr64)` Class constructor.
    `RemoteXBeeDevice(XBeeDevice localXBeeDevice, XBee64BitAddress addr64, XBee16BitAddress addr16, String ni)` Class constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isRemote()` Always returns `true`, since it is a remote device.
    `void` | `reset()` Performs a software reset on this XBee device and blocks until the process is completed.
    `String` | `toString()`

    - ### Methods inherited from class com.digi.xbee.api.AbstractXBeeDevice

      `applyChanges, enableApplyConfigurationChanges, executeParameter, get16BitAddress, get64BitAddress, getADCValue, getConnectionInterface, getDestinationAddress, getDIOChangeDetection, getDIOValue, getFirmwareVersion, getHardwareVersion, getIOConfiguration, getIOSamplingRate, getNodeID, getPANID, getParameter, getPowerLevel, getPWMDutyCycle, getXBeeProtocol, isApplyConfigurationChangesEnabled, readDeviceInfo, readIOSample, setDestinationAddress, setDIOChangeDetection, setDIOValue, setIOConfiguration, setIOSamplingRate, setNodeID, setPANID, setParameter, setPowerLevel, setPWMDutyCycle, updateDeviceDataFrom, writeChanges`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteXBeeDevice

          public RemoteXBeeDevice(XBeeDevice localXBeeDevice,
                          XBee64BitAddress addr64)

      Class constructor. Instantiates a new `RemoteXBeeDevice` object with the given local `XBeeDevice` which contains the connection interface to be used.
      Parameters:
        `localXBeeDevice` - The local XBee device that will behave as connection interface to communicate with this remote XBee device.
        `addr64` - The 64-bit address to identify this remote XBee device.
      Throws:
        `IllegalArgumentException` - if `localXBeeDevice.isRemote() == true`.
        `NullPointerException` - if `localXBeeDevice == null` or if `addr64 == null`.
      See Also:
        `XBee64BitAddress`

    - #### RemoteXBeeDevice

          public RemoteXBeeDevice(XBeeDevice localXBeeDevice,
                          XBee64BitAddress addr64,
                          XBee16BitAddress addr16,
                          String ni)

      Class constructor. Instantiates a new `RemoteXBeeDevice` object with the given local `XBeeDevice` which contains the connection interface to be used.
      Parameters:
        `localXBeeDevice` - The local XBee device that will behave as connection interface to communicate with this remote XBee device.
        `addr64` - The 64-bit address to identify this remote XBee device.
        `addr16` - The 16-bit address to identify this remote XBee device. It might be `null`.
        `ni` - The node identifier of this remote XBee device. It might be `null`.
      Throws:
        `IllegalArgumentException` - if `localXBeeDevice.isRemote() == true`.
        `NullPointerException` - if `localXBeeDevice == null` or if `addr64 == null`.
      See Also:
        `XBee16BitAddress`, `XBee64BitAddress`

  - ### Method Detail

    - #### isRemote

          public boolean isRemote()

      Always returns `true`, since it is a remote device.
      Specified by:
        `isRemote` in class `AbstractXBeeDevice`
      Returns:
        `true` always.

    - #### reset

          public void reset()
                     throws TimeoutException,
                            XBeeException

      Description copied from class: `AbstractXBeeDevice`
      Performs a software reset on this XBee device and blocks until the process is completed.
      Specified by:
        `reset` in class `AbstractXBeeDevice`
      Throws:
        `TimeoutException` - if the configured time expires while waiting for the command reply.
        `XBeeException` - if there is any other XBee related exception.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractXBeeDevice`

© Copyright 2014–2014 Digi International Inc. All rights reserved.